using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.BS
{
    /// <summary>
    /// 隐患类别表
    /// </summary>
    [Description("隐患类别")]
    public class T_BS_RISK_CATEGORY : MesEntityBase
    {
        /// <summary>
        /// 编号
        /// </summary>
        [Description("隐患类别编号")]
        [DataFieldLength(20)]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public string CODE { get; set; }

        /// <summary>
        /// 名称
        /// </summary>
        [Description("隐患类别名称")]
        [DataFieldLength(100)]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public string NAME { get; set; }

        /// <summary>
        /// 启用标志
        /// </summary>
        [Description("启用标志")]
        [FormFieldEdit]
        [EnumName("FMEnableStatusEnum")]
        public int ENABLE_STATUS { get; set; }

        /// <summary>
        /// 排序号
        /// </summary>
        [Description("排序号")]
        [FormFieldEdit]
        public int NUM { get; set; }

        /// <summary>
        /// 隐患描述
        /// </summary>
        [Description("隐患描述")]
        [FormFieldEdit]
        [DataFieldLength(200)]
        public string REMARK { get; set; }
    }
}
